using Sunny.UI;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
namespace SunnyMusic.LrcEditor
{
    public partial class EditTextDialog : UIForm
    {
        public FrmLrcEditor MyParent { get; set; }
        public string[] Result 
        {
            get
            {
                return txtEditor.Text.Trim().Replace("\r\n","\n").Split('\n');
            }
        }
        public EditTextDialog()
        {
            InitializeComponent();
        }
        public EditTextDialog(string text)
        {
            InitializeComponent();
            txtEditor.Text = text.Replace("\n","\r\n");
        }
        private void btnOk_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.OK;
            this.Close();
        }
        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
            this.Close();
        }
    }
}
